// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.

#include "pch.h"
#include "GameBalance.h"


//-------------------------------------------------------------------------------------------------
// Player stuff
//-------------------------------------------------------------------------------------------------
const int PLAYER_RADIUS = 5;
const float PLAYER_MOVE_SPEED = 50.0f;
const float BUSTACULATION_PER_SECOND = 1.0f / 1.0f;
const float DISBUSTACULATION_PER_SECOND = BUSTACULATION_PER_SECOND * 0.5f;

//-------------------------------------------------------------------------------------------------
// Enemy stuff
//-------------------------------------------------------------------------------------------------
const int ENEMY_GUARD_HEIGHT = 11;
const int ENEMY_GUARD_WIDTH = 11;
const int ENEMY_GUARD_RADIUS = 5;
const float ENEMY_GUARD_DEFAULT_VISIONDIST = 150.0f;
const float ENEMY_GUARD_DEFAULT_FOV = 45.0f;


//-------------------------------------------------------------------------------------------------
// Pathfinding stuff
//-------------------------------------------------------------------------------------------------
const int MAX_PATHFINDING_SEARCH_RADIUS = 50;



//-------------------------------------------------------------------------------------------------
// Map stuff
//-------------------------------------------------------------------------------------------------
const int START_MAP_NUMBER = 1;


//-------------------------------------------------------------------------------------------------
// Shut the compiler up - STL doesn't like "empty" files
//-------------------------------------------------------------------------------------------------
void DummyFunction()
{
}


