// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.

#pragma once


//-------------------------------------------------------------------------------------------------
// Player stuff
//-------------------------------------------------------------------------------------------------
extern const int PLAYER_RADIUS;
extern const float PLAYER_MOVE_SPEED;
extern const float BUSTACULATION_PER_SECOND; // how much the meter goes up per second when busted
extern const float DISBUSTACULATION_PER_SECOND; // how fast the bustaculometer goes down


//-------------------------------------------------------------------------------------------------
// Enemy stuff
//-------------------------------------------------------------------------------------------------
extern const int ENEMY_GUARD_HEIGHT;
extern const int ENEMY_GUARD_WIDTH;
extern const int ENEMY_GUARD_RADIUS;
extern const float ENEMY_GUARD_DEFAULT_VISIONDIST;
extern const float ENEMY_GUARD_DEFAULT_FOV;


//-------------------------------------------------------------------------------------------------
// Pathfinding stuff
//-------------------------------------------------------------------------------------------------
extern const int MAX_PATHFINDING_SEARCH_RADIUS;


//-------------------------------------------------------------------------------------------------
// Map stuff
//-------------------------------------------------------------------------------------------------
extern const int START_MAP_NUMBER;



