// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.

#pragma once

//#include "gameCommon.h"

bool LoadTarga( const char* const filename, unsigned char*& pixels, short& width, short& height, int& bytesPerPixel );


/*
//-------------------------------------------------------------------------------------------------
class Image
{
public:

	// static interface functions

	static inline Image& Get( const int userHandle );
	static inline GLuint GetTexNum( const int userHandle );

	static Image& Create( const int userHandle, const std::string& filename );
	static void Destroy( const int userHandle );
	
	// concrete object functions

	inline void GetPixelColor( const int x, const int y, byte_t& red, byte_t& green, byte_t& blue, byte_t& alpha );
	inline GLuint GetTexNum() const;
	inline int GetWidth() const { return m_width; }
	inline int GetHeight() const { return m_height; }
	inline const Vector2 GetSizeVector() const;
	inline void BindTexture() const;

	void Draw( const Vector2& centerPoint, float scale, const Rgba& rgba = Rgba::WHITE, bool setOpenglStates = true ) const;

	~Image();

protected:

	GLuint			m_glTexNum;
	std::string		m_filename;
	word_t			m_width, m_height;
	byte_t			m_bitsPerPixel;
	byte_t			m_bytesPerPixel;
	byte_t*			m_pixels;
	GLenum			m_bufferFormat;
	GLenum			m_internalFormat;
	
	Image( const std::string& filename );
	void Load( const std::string& filename );

	typedef std::map< int, Image* > ImageMap;
	static ImageMap m_images;

	static byte_t TGA_HEADER_BYTES[ 12 ];

	void MakeGLTexture();

};

//-------------------------------------------------------------------------------------------------
void Image::GetPixelColor( const int x, const int y, byte_t& red, byte_t& green, byte_t& blue, byte_t& alpha )
{
	ASSERT( m_pixels );
	ASSERT( x >= 0 );
	ASSERT( y >= 0 );
	ASSERT( x < m_width );
	ASSERT( y < m_height );

	// format is BGRA
	byte_t* pixelPointer = &m_pixels[ ((y * m_width) + x) * m_bytesPerPixel ];
	blue	= *pixelPointer++;
	green	= *pixelPointer++;
	red		= *pixelPointer++;
	if( m_bytesPerPixel == 4 )
	{
		alpha = *pixelPointer++;
	}
	else
	{
		alpha = 0xff;
	}
}

//-------------------------------------------------------------------------------------------------
// STATIC
Image& Image::Get( const int userHandle )
{
	ASSERT_MSG0( m_images.find( userHandle ) != m_images.end(), "No image registered for user handle." );
	return *m_images.find( userHandle )->second;
}


//-------------------------------------------------------------------------------------------------
// STATIC
GLuint Image::GetTexNum( const int userHandle )
{
	ASSERT_MSG0( m_images.find( userHandle ) != m_images.end(), "No image registered for user handle." );
	Image* i = *m_images.find( userHandle )->second;
	if( !i->m_glTexNum )
	{
		MakeGLTexture();
	}
	return i->m_glTexNum;
}


//-------------------------------------------------------------------------------------------------
GLuint Image::GetTexNum() const
{
	ASSERT( m_glTexNum );
	return m_glTexNum;
}


//-------------------------------------------------------------------------------------------------
void Image::BindTexture() const
{
	ASSERT( m_glTexNum );
	RENDERER->SetCurrentTexture( m_glTexNum );
}


//-------------------------------------------------------------------------------------------------
const Vector2 Image::GetSizeVector() const
{
	return Vector2( (float) GetWidth(), (float) GetHeight() );
}

*/
