//-------------------------------------------------------------------------------------------------
// Timer.h (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
//-------------------------------------------------------------------------------------------------
#ifndef _include_Timer_
#define _include_Timer_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
#include "engineCommon.h"


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		Timer
//
///////////////////////////////////////////////////////////////////////////////////////////////////
class Timer
{
private:
	static double s_queryPerfSecsPerCount;
	static LARGE_INTEGER s_queryPerfOffset;

	static void _InitPerformanceCounter();

public:
	static dword_t GetSysTimeMS();
	static double GetSysTimeSeconds();
};




#endif // _include_Timer_
