// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.


#pragma once

class GameRenderer
{
public:

	GameRenderer() {}
	~GameRenderer() {}

	void SetBackgroundTexture( unsigned char* pixels, int width, int height );

	void RenderBackground();
	void RenderEnemies();
	void RenderVisionCone( Vector2& origin, const float forwardDeg, const float visionDist, const float fov, const bool highlight = false );
	void RenderBustaculationMeter();

protected:

	GLuint m_texnumBackgroundTexture;

};

extern GameRenderer g_renderer;